#pragma once
#include <map>
struct M_ActivitySummerPlanGiftCFGData
{
	//礼包ID
	int mID;
	//需要充值金额
	int mNeedRecharged;
};

class M_ActivitySummerPlanGiftCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanGiftCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanGiftCFGData* GetData(int ID);
	const std::map<int, M_ActivitySummerPlanGiftCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySummerPlanGiftCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySummerPlanGiftCFGData> mMapData;
};
